package com.jdbernard.wdiwtlt.db.models;

import java.util.Date;

import javax.persistence.Entity;

@Entity
public class MediaFile {
    public static final String TAG_INFO = "tag info";
    public static final String FILE_LOCATION = "file location";

    public int id;
    public String name;
    public Integer trackNumber;
    public int playCount = 0;
    public String filePath;
    public String fileHash;
    public String metaInfoSource = TAG_INFO;
    public Date dateAdded;
    public String comment;

    public String toString() { return name; }
}
